Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.form.builder.services.model.items
Class PasswordFieldRepresentation

    java.lang.Object
      org.jbpm.form.builder.services.model.FormItemRepresentation
          org.jbpm.form.builder.services.model.items.PasswordFieldRepresentation

All Implemented Interfaces:
  Serializable, Mappable

    public class PasswordFieldRepresentation

extends FormItemRepresentation

See Also:
  Serialized Form

Constructor Summary
`PasswordFieldRepresentation()`

Method Summary
`boolean` | `equals(Object obj)`
`Map<String,Object>` | `getDataMap()`
`String` | `getDefaultValue()`
`String` | `getId()`
`Integer` | `getMaxLength()`
`String` | `getName()`
`int` | `hashCode()`
`void` | `setDataMap(Map<String,Object> data)`
`void` | `setDefaultValue(String defaultValue)`
`void` | `setId(String id)`
`void` | `setMaxLength(Integer maxLength)`
`void` | `setName(String name)`

Methods inherited from class org.jbpm.form.builder.services.model.FormItemRepresentation
`addEffectClass, getEffectClasses, getEventActions, getExternal, getHeight, getInput, getItemValidations, getOutput, getTypeId, getWidth, setEffectClasses, setEventActions, setExternal, setHeight, setInput, setItemValidations, setOutput, setWidth`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PasswordFieldRepresentation

    public PasswordFieldRepresentation()

Method Detail

### getDefaultValue

    public String getDefaultValue()

### setDefaultValue

    public void setDefaultValue(String defaultValue)

### getName

    public String getName()

### setName

    public void setName(String name)

### getId

    public String getId()

### setId

    public void setId(String id)

### getMaxLength

    public Integer getMaxLength()

### setMaxLength

    public void setMaxLength(Integer maxLength)

### getDataMap

    public Map<String,Object> getDataMap()

  Specified by:
    `getDataMap` in interface `Mappable`
  Overrides:
    `getDataMap` in class `FormItemRepresentation`

### setDataMap

    public void setDataMap(Map<String,Object> data)
                    throws FormEncodingException

  Specified by:
    `setDataMap` in interface `Mappable`
  Overrides:
    `setDataMap` in class `FormItemRepresentation`
  Throws:
    `FormEncodingException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `FormItemRepresentation`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `FormItemRepresentation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.